Introduction

Evaluator's Guide for Hyper-V Backup

Introduction

Vembu VMBackup (Part of Vembu BDR Suite) is a comprehensive data protection and disaster recovery solution designed to meet the needs of virtualized data center for SMBs and Enterprises. Users with VMware and Hyper-V data center environment can now provide their data centers the utmost protection they deserve with Vembu VMBackup. Optional Cloud Disaster Recovery provides the ability to have data redundancy and disaster recovery in the event of data center downtime.


System Requirements

System Requirements

  • BDR Backup Server
  • Supported Platform
  • Port Configuration
  • Naming Conventions


BDR Backup Server

System Requirements ››

Minimum Configuration

BDR Backup Server

OS
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2016
  • Linux Ubuntu LTS 12.04
  • Linux Ubuntu LTS 14.04
  • Linux Ubuntu LTS 16.04

Instant Boot Infrastructure
  • VMware vSphere
  • Microsoft Hyper-V
  • KVM Hypervisor

Memory

8 GB

CPU

Quad Core Xenon Processor

Meta Data Storage

10% of the planned total backup data size

Network Card

1 Gbps & above

Browser
  • IE v11
  • Firefox v28 & above
  • Chrome v34 & above

Recommended Configuration

BDR Backup Server

OS
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2016
  • Linux Ubuntu LTS 12.04
  • Linux Ubuntu LTS 14.04

Instant Boot Infrastructure
  • VMware vSphere
  • Microsoft Hyper-V
  • KVM Hypervisor

Memory

16 GB

CPU

Octa Core Dual Processor

Meta Data Storage

10% of the planned total backup data size

Network Card

1 Gbps & above

Browser
  • IE v11
  • Firefox v28 & above
  • Chrome v34 & above

Back to System Requirements


Supported Platform

System Requirements ››

Supported Plaftorm

  • Following are the Virtual infrastructure platforms supported by Vembu VMBackup, with their respective supported versions listed:

Virtual Infrastructure

Version

Platform
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2 Core
  • Microsoft Windows Server 2008 R2 Core

Hypervisor
  • Microsoft Windows Server Hyper-V 2008 R2
  • Microsoft Windows Server Hyper-V 2012
  • Microsoft Windows Server Hyper-V 2012 R2
  • Microsoft Windows Server Hyper-V 2016

  • Following are the virtual machine specification and requirement supported by Vembu VMBackup:

VM Specification

Requirement

Virtual Hardware
  • Virtual hardware of all types and versions are supported, which includes support to Generation 2 VM hardware.
  • Pass through virtual disks and shared VHDX that are connected to VMs are automatically skipped while taking snapshots for backups.

OS
  • All Hyper-V supported operating systems.
  • Application-aware processing support from Microsoft Windows 2003 SP1 and later.

Software
  • Microsoft Hyper-V Integration services should be enabled.

Back to System Requirements


Port Configuration

System Requirements ››

Port Configuration

Port | Use
TCP Port 32004 | For processing Backup/Restore/Delete/Replication requests
HTTP Port 6060, 6061 | For processing WebService requests
TCP Port 32005 | For UI Communication
TCP 42005 | For Vembu integration services

Back to System Requirements


Naming Conventions

System Requirements ››

Naming Conventions

Any backup and replication job created in Vembu BDR should be named with below mentioned rule:

  • Only [a-z][A-Z][0-9][ - _ ] characters are allowed in Backup/Replication Name.

Also do not use the following reserved names for naming any backup/replication job:

CON, PRN, AUX, NUL, COM1, COM2, COM3, COM4, COM5, COM6, COM7, COM8, COM9, LPT1, LPT2, LPT3, LPT4, LPT5, LPT6, LPT7, LPT8, and LPT9.

To learn more about file/folder naming restrictions in Microsoft Windows, do read the naming conventions column from below link:

Naming Conventions - Microsoft

Back to System Requirements


Backup Components

Backup Components

  • BDR Backup server
  • Storage Repository
  • Vembu Universal Explorer


BDR Backup Server

Backup Components ››

BDR Backup Server

Vembu BDR backup server is a Windows/Linux based server machine that can be installed as a service and works flawlessly on both (physical and virtual) environments. It serves the major contribution to users with handful of features such as:

  • Instant VM recovery
  • Restore processes
  • VembuHIVE File System
  • Backup storage management, compression/encryption and 4-tier verification
  • Every backup related information is stored and formatted using MySQL and MongoDB

Back to BDR Components List


Storage Repository

Backup Components ››

Storage Repository

Vembu BDR repository management has a hybrid volume manager that supports scalable and extendable backup storage of different storage media such as Local drives, NAS(NFS and CiFS) and SAN(iSCSI and FC).

VembuHIVE™

Vembu’s patented document-oriented backup data repository. Having replaced all structural file system metadata with content metadata and intelligently indexed each document, Vembu is able to virtualize VembuHIVE™ as a file system, with respect to backup documents.

Back to BDR Components List


Vembu Universal Explorer

Backup Components ››

Vembu Universal Explorer

Vembu universal explorer is a single recovery tool that lets a user to granularly recover data from the various Microsoft application backups such as: Exchange, SQL, SharePoint and Active directory.

    • User can perform granular restore of emails/mailboxes/exchange stores from Microsoft Exchange
    • User can perform granular restore of Microsoft SQL databases and tables
    • Supports document level restore for Microsoft SharePoint
    • Supports granular recovery for Microsoft Active Directory

Back to BDR Components List


Installation

Installation

  • BDR Backup Server - Windows
  • Vembu Universal Explorer
  • Uninstalling Vembu BDR Server


BDR Backup Server - Windows

Installation ››

BDR Backup Server - Windows

Vembu BDR Server is currently supported for below versions of windows machines (Please make sure that you are using any one of the below versions).

  • Windows Server 2012 R2 (64 Bit)
  • Windows Server 2008 R2 (64 Bit)
  • Windows Server 2012
  • Microsoft Windows Server 2016

Download build

  • Download the Windows Installer for Vembu BDR server.

Steps to Installation:

  • Run the downloaded installer with administrator privilege and installation process begins with the below wizard. Click Next to proceed with installing the setup.

  • 'Vembu BDR License agreement' is the next step in setup installation, read the agreement carefully and choose 'I accept the agreement' option.

Note: Opting to 'I do not accept the agreement' will block you from proceeding with setup installation.

  • Click Next

  • Next step in wizard will have default settings chosen, you can either:

    • Click Install to proceed installation with default chosen settings.

    • Or can check 'Let me customize the configurations' option and opt to Customize settings.

  • Choosing Customize option will let you customize PostGreSQL Server Configurations in next step: 'Installation location' and 'Database Storage Location'.
  • Once done choosing location, click Next.

  • Next step in wizard will allow you to customize installation location of Vembu BDR.
  • Once done choosing location, click Next.

  • Next step in wizard is 'Storage Repository Configuration', you can either choose:

    • A local drive as your storage repository

    • Or choose a network drive as your storage repository
    • Once done with Vembu BDR server installation, you can add shared folders as network drives by configuring them via Vembu BDR server web console.

  • Click Next.

  • Next step in wizard will allow you to configure:
    • User credentials for WebConsole (Default user name: admin and password: admin)
    • WebServer port (Default port chosen will be 6060 and it is recommended not to change it unless you are advanced user)
  • Once done, Click Next.

  • Next step of Wizard will allow you to review the chosen configuration, review the settings and proceed to click Install.

  • Final step of wizard after installation will ask you whether to:
    • Start Vembu BDR server and
    • Open Vembu BDR Web Console.
  • You can either leave the options selected and click Finish. Or chose to UnCheck them and start later.

Note: VembuBDR is installed as a service and can be found on Services.msc, if user chose to start later.


Vembu Universal Explorer

Installation ››

Vembu Universal Explorer

Download build

Download the installer file for Vembu Universal explorer.

Steps to Installation:

  • Run the downloaded installer with administrator privilege and installation process begins with the wizard below. Click next.

  • The next window will check for the pre-requisites installation in your machine and lists them along with download link for applications that are uninstalled.
  • You can either download them right away, or check the 'I will install prerequisites later' checkbox for installing them later.

  • Read and agree to Vembu Software license agreement and click Next.

  • Following wizard will ask for folder name under which setup will add program icons to the folder. In the next page, choose whether you need shortcut and quick launch icons for the program and proceed.
  • Next wizard will give a summary of provided details, review it and proceed with installing Vembu Universal Explorer.


Uninstalling Vembu BDR Server

Installation ››

Uninstalling Vembu BDR Server

For clean uninstallation of Vembu BDR server in Windows machines, follow the below steps:

  • Run the downloaded installer file for Vembu BDR and click Next in the below wizard to proceed with clean uninstallation process.

Note: uninstallation process will happen only if Vembu BDR is already installed. If not the installer file will proceed with installing Vembu BDR and its prerequisites.

  • 'Vembu BDR License agreement' is the next step, read the agreement carefully and choose 'I accept the agreement' option.

Note: Opting to 'I do not accept the agreement' will block you from proceeding with uninstallation.

  • Click Next

  • The next step in wizard will ask you to choose between 'Upgrade Now' and 'Uninstall Vembu BDR, PostGreSQL'.
  • To proceed with uninstallation choose the latter option: 'Uninstall Vembu BDR, PostGreSQL' and click Next.

  • A pop-up with a alert message will show up, click 'Yes' to proceed.

  • Uninstaling Vembu BDR and its requisite softwares(PostGreSQL) will begin.

  • Once Vembu BDR and its prerequisites are removed, you will be requested to restart the machine to complete the uninstallation process. Choose 'Yes' to restart immediately or 'No' to manually restart later.


Login to Web GUI

Login to Web GUI - Vembu BDR

  • User can login to Vembu BDR web UI via following options:
    • By typing the following URL: https://localhost:6061 (or)https://<Ip_Address_of_Machine>:6061 in browser .
    • Via shortcut created on desktop.
    • Via Vembu BDR server web console option in tray icon.

  • Users who login after a fresh installation will be required to choose the time zone in which they want their backup/replication reports to be generated.

  • Once done choosing time zone, you will be required to provide Vembu BDR ID which should be globally unique.

Note: We recommend users to give machineName.domainName as Vembu BDR ID since it is globally unique.

  • Once done assigning ID for Vembu BDR, you will be directed to job listing page.

Since it is a fresh installation with nil backup/replication jobs configured, the page will look like picture below:

  • To configure Hyper-V backup- Follow the instructions given in below link:

Hyper-V Backup Configuration

Troubleshooting:

  • If there seems to be any issue existing in accessing web GUI, check whether VembuBDR service is running in Services.
  • Also check whether VembuBDR WebServer service is running.


Storage Repository Setup

Storage Repository Setup

Storage management page lets user manage and configure drives for storing backup data. Vembu BDR have a new file system that halts backup for nothing and once a storage drive gets filled, user can extend storage by edit option where he can add new drives.

Note: Vembu BDR repository management has a hybrid volume manager that supports scalable and extendable backup storage of different storage media such as Local drives, NAS(NFS and CiFS) and SAN(iSCSI and FC).

  • Go to ‘Management → Storage Management’

  • Users can also add network drives using ‘Manage network drives’ option in settings.

    • Click here to go to Add Network Drives page.

  • Click here to Calculate your Storage Space Requirements .
  • Click here for steps to Reset Vembu BDR to Fresh Installation state .


Adding Network Drives

Storage Repository Setup ››

Add/Manage Network Drives

This option lets users add, delete network drives which will then be listed in list of storage volumes with a separate drive letter and can be configured for storing backups.

Note: Mapped network drives are not supported when Vembu BDR server runs in local logon account. Change logon user with administrator privileged user in service management console and then proceed configuring Network drive.

To add a network drive, one must provide following attribute details:

  • Drive Name- Provide a drive letter/name for network drive to be added.

Note: Drive name must be single alpha character: A-Z or a-z

  • Drive Path- Network path of drive to be added.
  • Ex: \\<MACHINE_NAME OR IP_ADDRESS>\<SHARE_NAME>
  • Username & Password- If network drive requires login authentication provide the username and password to authenticate drive addition.
  • A user can add ‘n’ number of network drives and can manage it via ‘Manage network drives’ page.
  • Once done providing details, click save to add network drive.

  • The added drives will be listed as shown in pic above, which can also be deleted using 'delete' option if no longer required.


Storage Calculator

Storage Repository Setup ››

Storage Calculator

Users with large data centers and high data traffic can now calculate their storage space requirements with Vembu Storage calculator. The calculation will be made based on the type of job a user opts for along with recovery points and the average data traffic ratio. We implement a custom compression method that reduces storage space to a vast ratio difference compared to source data size.

Click below to calculate your storage space requirements:

Vembu Storage Calculator


Delete All Data

Storage Repository Setup ››

Delete All Data

This option lets user to completely wipeout their server data and reset Vembu BDR to fresh installation state.

  • Go to ‘Management → Storage Management → Delete All’

  • The 'Delete All Data' window will open as shown below.

  • In order to proceed with the deletion process the user must type the phrase “ I wish to delete storage repositories folder manually” as mentioned in the window. Please note that the command is case-sensitive and the phrase should be typed as given.
  • Select the check box to acknowledge the deletion and Click Submit.

  • On proceeding with the Submit will wipe all data and reset Vembu BDR to fresh installation state.

Note: Proceeding with the delete option will not auto-delete the backed up data, but will rename the sgstorage folder with the timestamp of deletion period in configured storage location. Once the delete process is notified with a success note, you have to manually delete the folder.


Getting Started with Hyper-V Backup

Getting Started with Hyper-V Backup

  • Setup Backup Job
  • Manage Backup Job


Setup Backup Job

Getting Started with Hyper-V Backup ››

Setup Backup Job

  • Go to Backup → Microsoft Hyper-V

Add Hyper-V server:

  • If it's a fresh installation, click on 'Add Hyper-V Server' option.

  • You can either choose the 'Standalone Hyper-V Host' or 'SMB Host' as server type.
  • Choosing Standalone Hyper-V Host will ask user to provide login Hyper-V credentials, it also asks user to confirm if they are using SMB server as storage for VMs.
    • If 'No' - Server addition will be completed with Saving the credentials.
    • If 'Yes' - Users will be redirected to the next page to provide SMB credentials.

  • Choosing SMB Host will direct user to Apply SMB credentials page, where they will be required to provide SMB Host credential. Once done providing it, hit save to add Hyper-V server.

Create Hyper-V Backup:

  • Once done adding, go to Backup → Microsoft Hyper-V. The list of Hyper-V servers added will be shown.

  • From the list of servers added, Click Backup Now option in the Hyper-V server to be backed up.

Choose Virtual Machine(s):

  • Choose list of VMs you wish to get backed up and proceed.
  • You can configure either host level backup job or can select any specific set of VMs to be backed up.

VM(s)/Disk(s) Exclusion

  • On selecting Host level backup, you might wish to exclude some specific set of VMs from getting backed up. Such VMs can be excluded using VM(s)/Disk(s) exclusion option.

VM Exclusion

  • Click 'VM(s)/Disk(s) Exclusion' option, you will get a popup as shown below.

  • Choose 'Exclude VM(s)' tab.
  • To exclude a virtual machine from a configured host level backup, click 'select VM' and choose the VMs to be excluded and click 'Exclude'.
  • Once added, save the exclusion settings.

  • You can also add/delete a VM to/from exclusion list, whenever required by editing the backup job.

Note: Changes made in VM exclusion settings will be taken into effect immediately with next schedule.

Disk Exclusion

  • Click 'VM(s)/Disk(s) Exclusion' option, you will get a popup as shown below.

  • Choose 'Exclude Disk(s)' tab.
  • Disk exclusion can be either enabled at host level or can be configured at VM level.

Host level Disk Exclusion- This exclusion type is possible when you opt to configure host level backup job. Under 'Exclude Disk(s)' tab, you will find the configured host(s) listed.

  • You can choose 'Edit Disk Exclusion' option, to assign global disk exclusion rule for VMs under a chosen host. Edit Disk exclusion tab will have following exclusion rules:
    • No disks Excluded
    • Include only System Disks for Backup. Exclude Others (typically 0:0)
    • Select type of Disk to exclude

Note: By default No disks excluded option will be selected.

  • Opting for the third option of selecting disk type will list all available disk types for VMs in Hyper-V.
  • User can choose the disk(s) to be excluded in each disk type.

  • Once done assigning disk exclusion rule, click 'Confirm' and save the exclusion settings.

VM level Disk Exclusion- This exclusion type can be configured in both host level and VM level backup job. Under 'Exclude Disk(s)' tab, you will find the list of configured VM(s).

If it's a host level backup job, you can assign both host level exclusion rule as well as assign exclusion rule for individual VMs by adding VMs to be configured using Select VM(s) option.

  • Choose 'Edit Disk Exclusion' option alongside a VM to configure disk exclusion rule for the selected VM. Edit Disk exclusion tab will have following exclusion rules:
    • No disks Excluded
    • Include only System Disks for Backup. Exclude Others (typically 0:0)
    • Select type of Disk to exclude

Note: By default No disks excluded option will be selected.

  • Opting for the third option of selecting disk type will list all available disk types for VMs in Hyper-V.
  • User can choose the disk(s) to be excluded in each disk type.
  • Once done assigning disk exclusion rule, click 'Confirm' and save the exclusion settings.

  • You can also add/delete a disk to/from exclusion list, whenever required by editing the backup job.

Note: Changes made in disk exclusion settings will be applied only when a additional full backup is scheduled.

Configure Scheduling:

  • Users can configure their backup schedules flexibly based on their requirement. They can choose from Hourly/Daily/Weekly options for backup schedules.

Additional Full Backups:

In an enterprise environment, configuring a backup job with one full backup and forever incremental is not a recommended practice. Users from such environment will tend to configure additional full backups periodically and that can be automated with our additional backup option.

Additional Full Backups can be configured in following order of scheduling:

  • For Continuous, Run Daily and Run every few hours schedules- Configuring daily/weekly/monthly additional full backup is possible.
  • For Run Weekly schedule- 'Monthly full backup' is the only possible additional full backup.
  • For Run Once schedule- You cannot configure additional full backup.

Note: Users can also limit the number of full backups to be retained with 'Store a maximum of' option. With this option, users can share the unwanted storage data occupied based for a time period. For example, a user needing no more than 6 months of data retainment can configure 6 monthly full backups where the 1st additional full backup will be deleted on the 7th month when a new full backup completes successfully.

Configure Retention Policy:

  • Users will be given 2 options for choosing retention policy:
    • Basic retention and
    • Advanced retention (GFS)

Basic:

  • Vembu VMBackup provides forever incremental backups, where user can have ‘n’ number of incrementals. They also do have options to limit incremental count, which when retention count reaches incremental count, older incrementals will be purged while latest incremental will be retained as per configuration.

Advanced (GFS Retention):

  • The Multilevel GFS retention reduces the time taken to restore backed up machines and most importantly reduce the size of image files in storage location. It also help avoid long chains of incrementals, ensuring safety of backup data and allow you to meet the requirements of your retention policy.

GFS retention merge incrementals on a daily, weekly and monthly basis:

    • Daily - Daily merge will merge hourly incrementals on the third day's first successful incremental backup.
    • Weekly - Weekly merge will commence based on user scheduled day's first successful incremental backup. It will merge all daily merged incrementals into a single weekly merged file.
    • Monthly - Monthly merge is much similar as weekly merge where user need to schedule particular day in a month(For example: Third Wednesday) and the merge will get initiated at first successful incremental of the day. It merges all weekly merged files as a single monthly file.

Application-Aware Hyper-V Backups:

Hyper-V backups using VMware APIs, utilize application-specific VSS writers to take application-consistent backups(MS SQL, MS Exchange) and truncate exchange log files to free up the space.

Enabling application aware process - Truncate logs immediately:

  • Enabling this option lets Vembu BDR truncate the exchange server logs before initiating backup process. It purges and commits log files along with the .edb files and reduce storage space consumed.

Application Aware Image Process Prerequisites:

  • To perform application-aware image processing, the Guest Machine (running MS Exchange server, MS SQL Server, MS SharePoint Server, MS Active Directory) should be installed with latest Hyper-V integration services.

Review Configurations:

  • User will be required to provide a name for backup scheduled.
  • And can verify the configurations one final time, before hitting ‘run the backup’.

Progress Details:

  • Thus, backup progress is witnessed and can be verified once it completes successfully.


Manage Backup Job

Getting Started with Hyper-V Backup ››

Manage Backup Job

  • Go to ' Backup → List Jobs'.
  • The list of backup jobs configured from that particular client machine will be listed along with options to edit, suspend/resume, run/abort, delete the backup job.
  • Users can also view the plugin type and historical report of a particular backup job.

Suspend/Resume:

  • This option lets a user to suspend and resume a configured backup job, if required.
  • A suspended backup job will not run schedules as per its configuration, until/unless it is resumed.

Run Now:

  • This option is used to immediate schedule a backup job, once clicked.
  • If run now is triggered in midst of scheduled interval, then the next schedule interval will be calculated from the time of recent backup job.

Note: If a backup job is triggered in midst of scheduled interval with run now, then the next backup schedule will be triggered

Abort:

  • This option is used to abort a backup job that is currently in progress, if required.

View:

  • This option allow user to view the saved configuration of any specific backup job.

Edit:

  • This option allow user to edit the configuration of an already scheduled backup job.
  • Edit option allow user to completely reconfigure the backup job being edited. (i.e) User can:
    • Add/remove VMs.
    • Reconfigure the schedule frequency, retention policies, additional backups and application aware options of backup job.
  • Once done, review the edited configuration and save it.

Delete:

  • This option is used to delete the backup job, if no longer required.
  • Proceeding with this option, will ask for deletion confirmation and once confirmed the backup job will be deleted.


Disaster Recovery

Disaster Recovery

  • Go to Recovery tab.
  • Backups configured from various client machine to the server, will be listed for recovery, along with below listed options:
    • Restore
    • Virtual mount
    • Proceed to Persistent Instant Boot version delete
    • Delete
    • Replication actions
    • Status
    • Reports

Virtual mount:

  • This option lets you instant mount backup data virtually where users can access backup in different file formats such as: IMG, VHD, VHDX, VMDK.

  • Users can either take a copy of this mounted data or boot respective files if needed on KVM(IMG file in Linux), VMware vSphere(VMDK) or Hyper-V(VHD, VHDX).
  • Once done with requirement, unmount backup data. This will resume backup job, so that incrementals will run as per schedule.

Proceed to Persistent Instant Boot version delete:

  • During each instant boot session, a change in backup data will take place which then is saved as persistent Instant boot data.
  • Persistent data can be restored using restore options, if needed.
  • Persistent data will be listed with a (+p) sign alongside timestamps of backup versions.
  • Such persistent data can also be deleted if not required, using the 'Proceed to Persistent Instant Boot version delete' option.
  • The option let user choose the timestamp of persistent data to be deleted.
  • User will also be required to confirm deletion by selecting the checkbox 'Are you sure you want to delete the selected version related persistent boot data from the repository location permanently?' to proceed with deletion process.

Restore:

  • Proceeding with restore option will list below restore options to choose from:
    • Instant VM Recovery
    • Live Recovery to Hyper-V server
    • File Level Recovery
    • Download


Quick VM Recovery

Disaster Recovery ››

Quick VM Recovery

Instant VM recovery option allow user to quick access backup images as ready state VMs. (i.e) Minimal downtime and business continuity secured by making VMs instantly available. Instant VM recovery gives 2 choices of instant boot software to users:

  • Hyper-V (Default chosen software for Windows and available only on Windows servers)
  • KVM (Default chosen software for Linux and available only on Linux servers)


Hyper-V

Disaster Recovery ›› Quick VM Recovery ››

Hyper-V

Login to Vembu BDR server installed in a Windows environment and go with 'Instant VM Recovery' among recovery options.

  • Proceeding with Instant VM recovery option will let you select version for Instant Boot.

  • Once done choosing required timestamp, proceed to select the virtual machine to boot.
  • From the list of VM(s) select the VM to instant boot and proceed to allocate RAM for Instant boot.

  • The software used to instant boot is Hyper-V (For Windows servers) and the default RAM size chosen is 2 GB which can be modified based on user requirement.

  • You can also configure network details by enabling 'Configure Network Details' option. You will required to provide the IP address, Subnet mask, default gateway and DNS server details for the VM to be booted.
  • Select virtual switch from the list of available virtual switches.

  • Once done configuring restore options, proceed to review configuration.

  • Once done reviewing, click Next to proceed with Instant Booting the VM.

  • VM will get automatically created in Hyper-V VMs list.

Note: Once done with requirement, shutdown and turn off VM before unmounting backup data. This will resume backup job, so that incrementals will run as per schedule.


KVM

Disaster Recovery ›› Quick VM Recovery ››

KVM

Login to Vembu BDR server installed in a Linux environment and go with 'Instant VM Recovery' among recovery options.

  • Proceeding with Instant VM recovery option will let you select version for Instant Boot.

  • Once done choosing required timestamp, proceed to select the virtual machine to boot.
  • From the list of VM(s) select the VM to instant boot and proceed to allocate RAM for Instant boot.

  • The software used to instant boot is KVM (For Linux servers) and the default RAM size chosen is 2 GB which can be modified based on user requirement.

  • Once done allocating RAM size, proceed to review configuration.

  • Once done reviewing, click Next to proceed with Instant Booting the VM.

  • VM will get automatically created in KVM VMs list.

Note: Once done with requirement, shutdown and turn off VM before unmounting backup data. This will resume backup job, so that incrementals will run as per schedule.


Instant File Recovery

Disaster Recovery ››

Instant File Recovery

This option lets you instantly attach backup data to disk management as a VHD file and proceed with file level restore.

  • The VHD file is created by virtual mounting backup data.
  • Users can access backup data via disks attached on disk management.
  • Once done with requirement, unmount backup data. This will resume backup job, so that incrementals will run as per schedule.

  • Select the timestamp version for file level recovery and proceed

  • Select the backup data to be mounted in disk management for file level restore.

  • Once done configuring restore options, proceed to review configuration.

  • Once done reviewing, click Next to proceed with File Level Recovery.


Full VM Recovery to Hyper-V Server

Disaster Recovery ››

Full VM Recovery to Hyper-V Server

  • Proceeding with ‘Live recovery to Hyper-V server’ option will let you ‘Select restore version’, where you have Hyper-V backup with several timestamps.
  • Choose your required timestamp version and proceed to select VM.

  • If you have backed up more than one VM in a backup and need to restore a particular VM/set of VMs, among all other VMs- Select your desired VM(s) and hit proceed to provide target Host details.

  • Provide the target host details for VM recovery- Target Host's UNC path and Host user credentials.
  • User will also be required to choose RAM size for the VM to created(By default, set to 2 GB).
  • User will also be allowed to choose the image format to be downloaded as- VHD or VHDX.

  • Once done configuring restore options, proceed to review configuration.

  • Once done reviewing, click Next to proceed with Live Recovery to Hyper-V Server.


Download VM Files (VMDK, VHD, VHDX and RAW)

Disaster Recovery ››

Download VM Files

  • Download option allows users to download backup data as an offsite copy of their preferred file format.
  • Proceeding with restore, lets users go with the regular routine of selecting time-stamp version they want to restore and click proceed.

  • Now select VM(s) to restore and proceed to select restore location.

  • Restoring location can either be a local drive on backup server or if users have managed to add a network shared drive, the restore can be directed to the network shared location.
  • Users can download backup data in multiple file formats such as: VHD, VMDK, VHDX, VMDK-Flat and RAW.

  • Once done configuring restore options, proceed to review configuration.

  • Once done reviewing, click Next to proceed with Download.

  • Taking offsite copies in various format allow users to boot backup data across various virtual and physical environments such as Oracle Box, KVM, Hyper-V, VMware vSphere, VMware player etc.,

  • Also reconstruction of physical servers is also possible with this offline backup copies.


Bare-metal Recovery (V2P)

Disaster Recovery ››

Bare-metal Recovery

Follow below steps to perform Physical Recovery for Image backups using Recovery CD:

  • To do bare-metal recovery using Vembu Recovery CD first we need to download and install WAIK. Click on below link, to download WAIK:

http://www.microsoft.com/en-us/download/confirmation.aspx?id=5753

  • Once WAIK is installed, download Vembu Recovery CD: Click Here to Download
  • You will have Vembu Recovery CD in both 32-bit and 64-bit zip formats, download accordingly based on requirement. Now unzip the downloaded file and run RecoverCDBuilder with administrator privileges. You will get a window opened as shown below.

  • Read the service provider license agreement carefully and click agree. You will be proceeded to VembuBDR Recovery CD builder window as shown below.

Note: When you have RAID and additional drivers to be setup in the machine to be recovered, such drivers can be bundled with Vembu Recovery CD using 'Additional Driver' option.

  • In this window, WAIK location will be auto-filled, target location is the location where you want to store ISO. Now click Build to start creating ISO file. You can also monitor the progress of ISO creation.

  • Once done, the ISO file will be available in the Target location you have entered.

  • Insert a blank CD in CD/DVD drive and burn the created ISO file in CD by right-clicking over ISO file and choosing the option 'Burn Disk Image'. Windows Disk Image Burner will open, choose the CD/DVD drive and click burn to start burning process.

  • You can also monitor the progress of burning process.

  • Once the burn process completes, CD will be auto ejected. Reinsert CD and reboot machine to BIOS settings. Change the boot priority and set CD/DVD as primary boot device and click Save and Exit. VembuBDR recovery console will be opened as shown below. Click Next to continue.

  • Read the Software License Agreement carefully, click Accept and proceed with Next.

  • You will have option to select a task from the below list:
    • Recover entire disk or partition
    • Set BCD boot configuration
    • VMware driver installation

Since we have to do physical recovery, we'll proceed with 'Recover entire disk or partition' option and click Next.

  • You will be directed to recovery page, where you will be required to provide details for following options:
    • Browse and select the file which you need to recover.
    • Browse and select the backup configuration file.
    • Select the disk/drive you wish to restore from the following list.

Once done choosing respective requirements, click Next to proceed.

  • In next window, you will be required to select target disk/drive to which recovery will be performed. Once done selecting the target, click Next.

Note: the selected disk/drive will be formatted and only recovered data will be available. So make sure you don’t have any important data on target disk/drive.

  • Proceeding will initiate the recovery process and once it's done. You can find your recovered data in target disk/drive selected.


Vembu Virtual Drive (NFS Share)

Disaster Recovery ››

Vembu Virtual Drive

Vembu Virtual Drive is an exclusive feature of VembuBDR server, that allows user to instant access backup data. With the help of VembuHIVE file system, Vembu Virtual Drive virtual mount backup data and allow instant access for users.

Vembu Virtual Drive will make following file format types available for any image based backups mounted in it:

  • VHD
  • VMDK
  • VHDX
  • VMDK-Flat
  • RAW image files

These files can be used based on user requirements. For example, a VHD file can be mounted in Hyper-V or a VMDK file can be mounted in a ESXi server or a RAW image file can be mounted in KVM to create a virtual machine. VHD file can also be mounted in disk management to access file level backup data.

Manage Vembu Virtual Drive (NFS Share)

  • Go to Management → Server Management → Manage Virtual Drive

This page lists all image backups stored in backup server and user can virtual mount any backup data he wish to instant access.

  • To virtual mount a backup data, user have to click 'Mount' option alongside specific backup job to be accessed and click Yes in confirmation dialog.

  • User can now have access to backup data by viewing VembuVirtualDrive displayed in My Computer.
  • Once done with requirement, user can unmount data by clicking on Unmount option and confirming with a Yes in confirmation dialog.

Enable NFS Service on Vembu Virtual Drive

  • Vembu Virtual Drive can be shared within a network area by enabling NFS service on Vembu Virtual Drive.
  • NFS service for Vembu Virtual Drive is available on both Linux and Windows servers.

Note: For enabling NFS feature in Linux servers, it is necessary to have NFS kernel server installed in Backup Server machine. You can install NFS Service by using "apt-get install nfs-kernel-server" command. You need to run VembuBDR with root/administrator privileges in order to save NFS settings.

Enable NFS Service on Linux Screenshot:

Enable NFS Service on Windows Screenshot:

  • NFS share service allows user to add VembuVirtualDrive as a NFS datastore in ESXi servers.

Note: Before enabling NFS service on Vembu Virtual Drive, please make sure Microsoft or any other third party NFS services is disabled to ensure uninterrupted service.


Reports

Reports

  • Backup Report
  • Backup Status Report
  • Image Verification Report
  • Email Alert Configuration


Backup Job Report

Reports ››

Backup Job Report

  • Go to Recovery.
  • This page lists all the backup jobs configured to server where you can see a report option alongside every backup job.
  • Click on Reports.

  • In this page, users can view historical reports of the specific backup chosen where following reports will be listed:
    • Backup report
    • Restore report
    • Merge report
    • Deleted backup report
    • Offsite Copy report

  • Users can also filter the reports to view status of full backups alone(excluding incrementals).


Backup Status Report

Reports ››

Backup Status Report

  • Go to ‘Reports → Backup Status Report’
  • A page where user can view, filter and download overall backup status report will be displayed. Backup status includes: Failure, Suspended, Missed, Partial & Success.

Filter report:

  • Filter option let users add custom filters where they can apply filter of their choice for ease of view.
  • Backup filter includes following statuses to choose from: Missed, suspended, failed, successfully completed, partially completed and all.
  • Filters can also be applied based on duration where users can provide their custom data range, apart from ranging between last 1-30 days.

Schedule Email report:

  • Users can also send custom filtered reports by providing a sender Email address.
  • And can choose a custom filter saved or add a new filter based on requirement.
  • And choose schedules when to send:
    • Daily by specifying a time period.
    • Or choose weekly and specify a weekday and time period.


Image Verification Report

Reports ››

Image Verification Report

  • Go to 'Reports → Image Verification Report'
  • This page lists every image backups configured to Vembu BDR server along with the backup details such as: backup name, plugin, client name, host name, machine name, disk name and scheduled time(Most recent backup time).
  • It also confirms if the backup data is mountable and provides boot image of most recent backup(This ensures that the backup is in readily-bootable state).

  • An example of boot image is given below:


Email Alert Configuration

Reports ››

Email Alert Configuration

This option let users set SMTP server and configure email address to which backup reports can be mailed periodically. Options to configure sending various reports to different email addresses is also available.

  • Go to 'Management → Settings → Email Settings → Email Configuration'

By default, Email Configuration will be disabled. Enable it.

Configure SMTP server:

  • Provide SMTP server details and if required provide outgoing server port number.
  • Also do provide authentication credentials, if SMTP server requires one.
  • You also do have options to choose authentication type and SMTP secure protocol.

  • Once done providing SMTP server details, user can test by sending a test mail and verify it is working successfully.

Email reports:

  • Users can configure:
    • A single Email ID to receive all success/failure reports from server.
    • Or enable different Email IDs for each success/failure report generated (Server backup/restore/delete reports).

  • Click save to save email settings provided.

Email Settings - Email Filters:

  • Go to ‘ 'Management → Settings → Email settings → Email Filters’
  • Users have following filter conditions available, which can be enabled and disabled based on requirement.

  • Filter conditions:
    • When Backup/Restore/Delete/Replication completes successfully.
    • When Backup/Restore/Delete/Replication fails.
    • When there are no new or modified files for replication.
    • When a Backup is manually suspended.
    • When Backup/Restore is partially completed.
    • When a Backup schedule is missed.

  • Once done choosing filters, save it.

Note: By default, all filters are enabled.

Exclude Client/Backup from Reports:

Users also have an option to exclude specific set of Clients / Backup Schedules from receiving Email reports. This can be done by enabling following condition:

  • Exclude the following Clients / Backup Schedules (do not Email any reports for these)

  • Once enabled, the list of clients along with the list of backups will be listed. User can either select:
    • All clients to exclusion list.
    • Or choose specific backup from a client and add it to exclusion list.

  • A client/backup can be excluded by selecting ‘Disable Email reports for above selection’.

Note: Excluded backups can also be reverted.


Portal Registration

Portal Registration

User should create a Vembu portal account, in order to get backup server registered with Vembu portal, where a user can manage all his/her Vembu products and services.

Creating a Vembu Portal Account:

Vembu portal is an all-in-one hub spot for managing your registered Vembu products and services where you can get started. To register in Vembu portal, follow the steps given below:

  • Go to portal.vembu.com and click on Signup .
  • You will be required to provide the following details in order to create your account:
    • Company Name
    • First Name and Last Name
    • Email ID
    • Contact Number
    • Country and State

  • Once done providing the requested details click Sign up to register.
  • A verification Email will be sent to the registered Email ID. Kindly check your Inbox(Spam folder, if not found in Inbox) for verification email and click on 'Verify my email address'. If the button doesn't work copy-paste the link given below the 'Verify' button in your browser.

  • You will be directed to a page with the registered email ID and you will be requested to create a password for your account. Once done providing password, click Activate.

  • Vembu portal account is now created successfully and you will be redirected to Vembu Portal login page. Login to Vembu portal account with the registered email id and password.

Server Registration:

Once Vembu portal account is created:

  • Login to Vembu BDR web console.
  • Go to ‘Management → Server Management → Server Registration’

Steps to Register

  • Click Register.

  • Provide Vembu account credentials in the pop-up shown and register the trial.

  • Once registered, a user can check server registration by running a license check to success.


Licensing

Portal Registration ››

Licensing

  • Vembu charges for Hyper-V backup based on no. of CPU Sockets
  • If a Hyper-V Server is deployed on a machine which has two CPU-Sockets, you need to buy two “Hyper-V Image Backup” licenses and backup unlimited VMs
  • The licenses have to be renewed every year
  • License cost includes unlimited product upgrade and 24/7 email & telephone support